> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule Collection

> Schedule collection



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cashin/pix/recurrences/collections/{id}/schedule
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/pix/recurrences/collections/{id}/schedule:
    post:
      tags:
        - Recurrences
      summary: Schedule collection
      description: Schedule collection
      operationId: >-
        TrioFoundationWeb.Banking.Cashin.Recurrence.CollectionController.schedule
      parameters:
        - description: Collection ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CollectionScheduleParams'
        description: The collection schedule attributes
        required: true
      responses:
        '204':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP204NoContent'
          description: No Content
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    CollectionScheduleParams:
      description: Schedule update params
      example:
        amount: 10000
        due_date: '2026-07-02T19:00:15.094120Z'
        external_id: 019a0be5-d593-7b33-161a-7611b3820a76
      properties:
        amount:
          description: >-
            Collection Amount in cents. Use it for updating the collection
            amount before scheduling. Does not work on recurrences with fixed
            amount.
          type: integer
        due_date:
          description: attempt's due date
          format: date-time
          nullable: true
          type: string
        external_id:
          description: attempt's external_id
          nullable: true
          type: string
      title: CollectionScheduleParams
      type: object
    HTTP204NoContent:
      example: No Content
      format: string
      title: HTTP204NoContent
      type: string
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````